extends Path2D


const THICK = 10
const RAYON = THICK / 2
const MAIN_COLOR = Color8(255, 0, 0)


func _draw():
	draw_circle(curve.get_point_position(0), RAYON, MAIN_COLOR)
	for k in range(curve.get_point_count() - 1):
		var from = curve.get_point_position(k)
		var target = curve.get_point_position(k + 1)
		draw_line(from, target, MAIN_COLOR, THICK, true)
		draw_circle(target, RAYON, MAIN_COLOR)
